Properties Methods Events Direct Link

# Class Ext.form.VTypes

Package: | Ext.form
Defined In: | VTypes.js
Class: | VTypes
Extends: | Object

Overridable validation definitions. The validations provided are basic and intended to be easily customizable and extended.
This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| alphaMask : RegExp The keystroke filter mask to be applied on alpha input | VTypes
| alphaText : String The error text to display when the alpha validation function returns false | VTypes
| alphanumMask : RegExp The keystroke filter mask to be applied on alphanumeric input | VTypes
| alphanumText : String The error text to display when the alphanumeric validation function returns false | VTypes
| emailMask : RegExp The keystroke filter mask to be applied on email input | VTypes
| emailText : String The error text to display when the email validation function returns false | VTypes
| urlText : String The error text to display when the url validation function returns false | VTypes

## Public Methods

Method | Defined By
--- | ---

alpha( `String value` ) : void
The function used to validate alpha values
The function used to validate alpha values
Parameters:

- `value` : String
  The value

Returns:

- `void`

VTypes

alphanum( `String value` ) : void
The function used to validate alphanumeric values
The function used to validate alphanumeric values
Parameters:

- `value` : String
  The value

Returns:

- `void`

VTypes

email( `String value` ) : void
The function used to validate email addresses
The function used to validate email addresses
Parameters:

- `value` : String
  The email address

Returns:

- `void`

VTypes

url( `String value` ) : void
The function used to validate URLs
The function used to validate URLs
Parameters:

- `value` : String
  The URL

Returns:

- `void`

VTypes

## Public Events

This class has no public events.